import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PRIME_NG_MODULES } from './commons-ui-prime-ng.module';

import { COMPONENTS } from './component';
import { DIRECTIVES } from './directive';
import { PIPES } from './pipe';

@NgModule({
  imports: [
    CommonModule,
    PRIME_NG_MODULES,
  ],
  exports: [
    PRIME_NG_MODULES,
    COMPONENTS,
    DIRECTIVES,
    PIPES,
  ],
  declarations: [
    COMPONENTS,
    DIRECTIVES,
    PIPES,
  ],
})
export class CommonsUIModule { }
