import { MetaIPType } from '../meta';

export interface Interface {
  iface: string;
  friendlyName: string;
  mac: string;
  addresses: InterfaceAddress[] | null;
}

export interface InterfaceAddress {
  metaIPType: MetaIPType;
  address: string;
  netmask: string;
  network: string;
  gateway: string;
}
